changeset 159:9014d136897e

update postgres to 8.4.1
author holger
date Wed, 09 Sep 2009 17:22:48 +0200
parents cc901061d3c6
children 7ce3014adf4b
files dev-db/postgresql-base/Manifest dev-db/postgresql-base/postgresql-base-8.4.0.ebuild dev-db/postgresql-base/postgresql-base-8.4.1.ebuild dev-db/postgresql-docs/Manifest dev-db/postgresql-docs/postgresql-docs-8.4.0.ebuild dev-db/postgresql-docs/postgresql-docs-8.4.1.ebuild dev-db/postgresql-server/Manifest dev-db/postgresql-server/postgresql-server-8.4.0.ebuild dev-db/postgresql-server/postgresql-server-8.4.1.ebuild
diffstat 9 files changed, 443 insertions(+), 443 deletions(-) [+]
line wrap: on
line diff
--- a/dev-db/postgresql-base/Manifest	Wed Sep 09 17:22:32 2009 +0200
+++ b/dev-db/postgresql-base/Manifest	Wed Sep 09 17:22:48 2009 +0200
@@ -1,5 +1,5 @@
 AUX postgresql-8.4-base.patch 4673 RMD160 414aa67067a9e7f39a0d674d1bb97d592022cce2 SHA1 7b03968e1301c124d73fe38d7a411efe8ed7b50f SHA256 c1647545a7c2af3164df839f6aa967e8f5a8eb7bf6f1a31d1a16a74c6b2f2f05
 AUX postgresql-8.4-common.patch 2058 RMD160 14e61a791fb1deaa327f90d207526fabfa35c4de SHA1 315543042274e3802f429fefe83568e8801078f3 SHA256 03b613fcb816b455eb92708e8095b8a0685f4c6992f90288295e1c6193af70b4
-DIST postgresql-8.4.0.tar.bz2 13839282 RMD160 7b0a3b6d6c6c67479a1de2d8a3efb3a27e50fe2e SHA1 7a4776155049b8343f3b3b2e071002bb9db47f44 SHA256 84bf53b4a45db4fdf875bb03bf247f29dcb97f8bda42839b00b73671df05e007
-EBUILD postgresql-base-8.4.0.ebuild 4617 RMD160 7fd7c93d52332ebd1ab69537388b5f5971040cf4 SHA1 7d05af356f57b91f09b068aad1f616477d6514f9 SHA256 38d1897cdbf7a9fc9c780546ed7b0494d195e087947455ef99cd2c29ff028caf
+DIST postgresql-8.4.1.tar.bz2 13579302 RMD160 ad03c250afd71091294a2a3e67d96b661883db87 SHA1 e6903f0029402ef8fb12645a177204499ea5b2b7 SHA256 85f5a5053aea196a2c997785cb5f61368aa46407527de820006d04b594fd9d7c
+EBUILD postgresql-base-8.4.1.ebuild 4617 RMD160 7fd7c93d52332ebd1ab69537388b5f5971040cf4 SHA1 7d05af356f57b91f09b068aad1f616477d6514f9 SHA256 38d1897cdbf7a9fc9c780546ed7b0494d195e087947455ef99cd2c29ff028caf
 MISC metadata.xml 329 RMD160 3b8f9c5e1c05696380c649d2f4f6eb3f1d3b688b SHA1 d7d9e8fbd6a509c5016fc764ccc4239af8feb5b8 SHA256 d9eed0f3b1f204ace8472c343d526d6c949124b5fe5ab8174b2e555712b3e831
--- a/dev-db/postgresql-base/postgresql-base-8.4.0.ebuild	Wed Sep 09 17:22:32 2009 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,147 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-base/postgresql-base-8.3.7.ebuild,v 1.2 2009/05/03 11:53:53 armin76 Exp $
-
-EAPI="1"
-
-WANT_AUTOCONF="latest"
-WANT_AUTOMAKE="none"
-
-inherit eutils multilib toolchain-funcs versionator autotools
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-DESCRIPTION="PostgreSQL libraries and clients"
-HOMEPAGE="http://www.postgresql.org/"
-SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
-LICENSE="POSTGRESQL"
-SLOT="$(get_version_component_range 1-2)"
-IUSE_LINGUAS="
-	linguas_af linguas_cs linguas_de linguas_es linguas_fa linguas_fr
-	linguas_hr linguas_hu linguas_it linguas_ko linguas_nb linguas_pl
-	linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv
-	linguas_tr linguas_zh_CN linguas_zh_TW"
-IUSE="doc kerberos nls pam pg-intdatetime readline ssl threads zlib ldap ${IUSE_LINGUAS}"
-RESTRICT="test"
-
-wanted_languages() {
-	for u in ${IUSE_LINGUAS} ; do
-		use $u && echo -n "${u#linguas_} "
-	done
-}
-
-RDEPEND="kerberos? ( virtual/krb5 )
-	pam? ( virtual/pam )
-	readline? ( >=sys-libs/readline-4.1 )
-	ssl? ( >=dev-libs/openssl-0.9.6-r1 )
-	zlib? ( >=sys-libs/zlib-1.1.3 )
-	>=app-admin/eselect-postgresql-0.3
-	!dev-db/postgresql-libs
-	!dev-db/postgresql-client
-	!dev-db/libpq
-	!dev-db/postgresql
-	ldap? ( net-nds/openldap )"
-DEPEND="${RDEPEND}
-	sys-devel/flex
-	>=sys-devel/bison-1.875
-	nls? ( sys-devel/gettext )"
-PDEPEND="doc? ( dev-db/postgresql-docs:${SLOT} )"
-
-S="${WORKDIR}/postgresql-${PV}"
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-
-	epatch "${FILESDIR}/postgresql-${SLOT}-common.patch" \
-		"${FILESDIR}/postgresql-${SLOT}-base.patch"
-
-	# to avoid collision - it only should be installed by server
-	rm "${S}/src/backend/nls.mk"
-
-	# because psql/help.c includes the file
-	ln -s "${S}/src/include/libpq/pqsignal.h" "${S}/src/bin/psql/"
-
-	eautoconf
-}
-
-src_compile() {
-	econf --prefix=/usr/$(get_libdir)/postgresql-${SLOT} \
-		--datadir=/usr/share/postgresql-${SLOT} \
-		--sysconfdir=/etc/postgresql-${SLOT} \
-		--includedir=/usr/include/postgresql-${SLOT} \
-		--with-locale-dir=/usr/share/postgresql-${SLOT}/locale \
-		--mandir=/usr/share/postgresql-${SLOT}/man \
-		--without-docdir \
-		--enable-depend \
-		--without-tcl \
-		--without-perl \
-		--without-python \
-		$(use_with readline) \
-		$(use_with kerberos krb5) \
-		$(use_with kerberos gssapi) \
-		"$(use_enable nls nls "$(wanted_languages)")" \
-		$(use_with pam) \
-		$(use_enable pg-intdatetime integer-datetimes ) \
-		$(use_with ssl openssl) \
-		$(use_enable threads thread-safety) \
-		$(use_enable threads thread-safety-force) \
-		$(use_with zlib) \
-		$(use_with ldap) \
-		${myconf} \
-		|| die "configure failed"
-
-	emake LD="$(tc-getLD) $(get_abi_LDFLAGS)" || die "emake failed"
-
-	cd "${S}/contrib"
-	emake LD="$(tc-getLD) $(get_abi_LDFLAGS)" || die "emake failed"
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed"
-	insinto /usr/include/postgresql-${SLOT}/postmaster
-	doins "${S}"/src/include/postmaster/*.h
-	dodir /usr/share/postgresql-${SLOT}/man/man1
-	tar -zxf "${S}/doc/man.tar.gz" -C "${D}"/usr/share/postgresql-${SLOT}/man man1/{ecpg,pg_config}.1
-
-	rm "${D}/usr/share/postgresql-${SLOT}/man/man1"/{initdb,ipcclean,pg_controldata,pg_ctl,pg_resetxlog,pg_restore,postgres,postmaster}.1
-	dodoc README HISTORY doc/{README.*,TODO,bug.template}
-
-	cd "${S}/contrib"
-	emake DESTDIR="${D}" install || die "emake install failed"
-	cd "${S}"
-
-	dodir /etc/eselect/postgresql/slots/${SLOT}
-
-	IDIR="/usr/include/postgresql-${SLOT}"
-	cat > "${D}/etc/eselect/postgresql/slots/${SLOT}/base" <<-__EOF__
-postgres_ebuilds="\${postgres_ebuilds} ${PF}"
-postgres_prefix=/usr/$(get_libdir)/postgresql-${SLOT}
-postgres_datadir=/usr/share/postgresql-${SLOT}
-postgres_bindir=/usr/$(get_libdir)/postgresql-${SLOT}/bin
-postgres_symlinks=(
-	${IDIR} /usr/include/postgresql
-	${IDIR}/libpq-fe.h /usr/include/libpq-fe.h
-	${IDIR}/libpq /usr/include/libpq
-	${IDIR}/postgres_ext.h /usr/include/postgres_ext.h
-)
-__EOF__
-
-	cat >"${T}/50postgresql-94-${SLOT}" <<-__EOF__
-		LDPATH=/usr/$(get_libdir)/postgresql-${SLOT}/$(get_libdir)
-		MANPATH=/usr/share/postgresql-${SLOT}/man
-	__EOF__
-	doenvd "${T}/50postgresql-94-${SLOT}"
-
-	keepdir /etc/postgresql-${SLOT}
-}
-
-pkg_postinst() {
-	eselect postgresql update
-	[[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
-	elog "If you need a global psqlrc-file, you can place it in '${ROOT}/etc/postgresql-${SLOT}/'."
-}
-
-pkg_postrm() {
-	eselect postgresql update
-}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-base/postgresql-base-8.4.1.ebuild	Wed Sep 09 17:22:48 2009 +0200
@@ -0,0 +1,147 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-base/postgresql-base-8.3.7.ebuild,v 1.2 2009/05/03 11:53:53 armin76 Exp $
+
+EAPI="1"
+
+WANT_AUTOCONF="latest"
+WANT_AUTOMAKE="none"
+
+inherit eutils multilib toolchain-funcs versionator autotools
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+
+DESCRIPTION="PostgreSQL libraries and clients"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+IUSE_LINGUAS="
+	linguas_af linguas_cs linguas_de linguas_es linguas_fa linguas_fr
+	linguas_hr linguas_hu linguas_it linguas_ko linguas_nb linguas_pl
+	linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv
+	linguas_tr linguas_zh_CN linguas_zh_TW"
+IUSE="doc kerberos nls pam pg-intdatetime readline ssl threads zlib ldap ${IUSE_LINGUAS}"
+RESTRICT="test"
+
+wanted_languages() {
+	for u in ${IUSE_LINGUAS} ; do
+		use $u && echo -n "${u#linguas_} "
+	done
+}
+
+RDEPEND="kerberos? ( virtual/krb5 )
+	pam? ( virtual/pam )
+	readline? ( >=sys-libs/readline-4.1 )
+	ssl? ( >=dev-libs/openssl-0.9.6-r1 )
+	zlib? ( >=sys-libs/zlib-1.1.3 )
+	>=app-admin/eselect-postgresql-0.3
+	!dev-db/postgresql-libs
+	!dev-db/postgresql-client
+	!dev-db/libpq
+	!dev-db/postgresql
+	ldap? ( net-nds/openldap )"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	>=sys-devel/bison-1.875
+	nls? ( sys-devel/gettext )"
+PDEPEND="doc? ( dev-db/postgresql-docs:${SLOT} )"
+
+S="${WORKDIR}/postgresql-${PV}"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	epatch "${FILESDIR}/postgresql-${SLOT}-common.patch" \
+		"${FILESDIR}/postgresql-${SLOT}-base.patch"
+
+	# to avoid collision - it only should be installed by server
+	rm "${S}/src/backend/nls.mk"
+
+	# because psql/help.c includes the file
+	ln -s "${S}/src/include/libpq/pqsignal.h" "${S}/src/bin/psql/"
+
+	eautoconf
+}
+
+src_compile() {
+	econf --prefix=/usr/$(get_libdir)/postgresql-${SLOT} \
+		--datadir=/usr/share/postgresql-${SLOT} \
+		--sysconfdir=/etc/postgresql-${SLOT} \
+		--includedir=/usr/include/postgresql-${SLOT} \
+		--with-locale-dir=/usr/share/postgresql-${SLOT}/locale \
+		--mandir=/usr/share/postgresql-${SLOT}/man \
+		--without-docdir \
+		--enable-depend \
+		--without-tcl \
+		--without-perl \
+		--without-python \
+		$(use_with readline) \
+		$(use_with kerberos krb5) \
+		$(use_with kerberos gssapi) \
+		"$(use_enable nls nls "$(wanted_languages)")" \
+		$(use_with pam) \
+		$(use_enable pg-intdatetime integer-datetimes ) \
+		$(use_with ssl openssl) \
+		$(use_enable threads thread-safety) \
+		$(use_enable threads thread-safety-force) \
+		$(use_with zlib) \
+		$(use_with ldap) \
+		${myconf} \
+		|| die "configure failed"
+
+	emake LD="$(tc-getLD) $(get_abi_LDFLAGS)" || die "emake failed"
+
+	cd "${S}/contrib"
+	emake LD="$(tc-getLD) $(get_abi_LDFLAGS)" || die "emake failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	insinto /usr/include/postgresql-${SLOT}/postmaster
+	doins "${S}"/src/include/postmaster/*.h
+	dodir /usr/share/postgresql-${SLOT}/man/man1
+	tar -zxf "${S}/doc/man.tar.gz" -C "${D}"/usr/share/postgresql-${SLOT}/man man1/{ecpg,pg_config}.1
+
+	rm "${D}/usr/share/postgresql-${SLOT}/man/man1"/{initdb,ipcclean,pg_controldata,pg_ctl,pg_resetxlog,pg_restore,postgres,postmaster}.1
+	dodoc README HISTORY doc/{README.*,TODO,bug.template}
+
+	cd "${S}/contrib"
+	emake DESTDIR="${D}" install || die "emake install failed"
+	cd "${S}"
+
+	dodir /etc/eselect/postgresql/slots/${SLOT}
+
+	IDIR="/usr/include/postgresql-${SLOT}"
+	cat > "${D}/etc/eselect/postgresql/slots/${SLOT}/base" <<-__EOF__
+postgres_ebuilds="\${postgres_ebuilds} ${PF}"
+postgres_prefix=/usr/$(get_libdir)/postgresql-${SLOT}
+postgres_datadir=/usr/share/postgresql-${SLOT}
+postgres_bindir=/usr/$(get_libdir)/postgresql-${SLOT}/bin
+postgres_symlinks=(
+	${IDIR} /usr/include/postgresql
+	${IDIR}/libpq-fe.h /usr/include/libpq-fe.h
+	${IDIR}/libpq /usr/include/libpq
+	${IDIR}/postgres_ext.h /usr/include/postgres_ext.h
+)
+__EOF__
+
+	cat >"${T}/50postgresql-94-${SLOT}" <<-__EOF__
+		LDPATH=/usr/$(get_libdir)/postgresql-${SLOT}/$(get_libdir)
+		MANPATH=/usr/share/postgresql-${SLOT}/man
+	__EOF__
+	doenvd "${T}/50postgresql-94-${SLOT}"
+
+	keepdir /etc/postgresql-${SLOT}
+}
+
+pkg_postinst() {
+	eselect postgresql update
+	[[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
+	elog "If you need a global psqlrc-file, you can place it in '${ROOT}/etc/postgresql-${SLOT}/'."
+}
+
+pkg_postrm() {
+	eselect postgresql update
+}
--- a/dev-db/postgresql-docs/Manifest	Wed Sep 09 17:22:32 2009 +0200
+++ b/dev-db/postgresql-docs/Manifest	Wed Sep 09 17:22:48 2009 +0200
@@ -1,3 +1,3 @@
-DIST postgresql-8.4.0.tar.bz2 13839282 RMD160 7b0a3b6d6c6c67479a1de2d8a3efb3a27e50fe2e SHA1 7a4776155049b8343f3b3b2e071002bb9db47f44 SHA256 84bf53b4a45db4fdf875bb03bf247f29dcb97f8bda42839b00b73671df05e007
-EBUILD postgresql-docs-8.4.0.ebuild 1067 RMD160 5688050adb542b08497f7a47ca1bf97ca23885c1 SHA1 3a5da084a13b8d72c885c3fad59405b56b58bbde SHA256 17466fbb6ee210220504d39f5446bb35847d84b1e780e79f9f692c7dbb6d909d
+DIST postgresql-8.4.1.tar.bz2 13579302 RMD160 ad03c250afd71091294a2a3e67d96b661883db87 SHA1 e6903f0029402ef8fb12645a177204499ea5b2b7 SHA256 85f5a5053aea196a2c997785cb5f61368aa46407527de820006d04b594fd9d7c
+EBUILD postgresql-docs-8.4.1.ebuild 1067 RMD160 5688050adb542b08497f7a47ca1bf97ca23885c1 SHA1 3a5da084a13b8d72c885c3fad59405b56b58bbde SHA256 17466fbb6ee210220504d39f5446bb35847d84b1e780e79f9f692c7dbb6d909d
 MISC metadata.xml 164 RMD160 becfe652663bd65719dd11fa6ffb588b3d5b4ecc SHA1 f67b7ac1c5e6e65ef5a19a589d4759c84918f86c SHA256 7e8e8126bc8701c4a42c7dfed8bb755ac6040fe3d0e3f994d888f8b2b4fa7d8b
--- a/dev-db/postgresql-docs/postgresql-docs-8.4.0.ebuild	Wed Sep 09 17:22:32 2009 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,41 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-docs/postgresql-docs-8.3.7.ebuild,v 1.4 2009/06/05 22:49:22 beandog Exp $
-
-inherit versionator
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# Nothing to test here per 232157
-RESTRICT="test"
-
-DESCRIPTION="PostgreSQL documentation"
-HOMEPAGE="http://www.postgresql.org/"
-SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
-LICENSE="POSTGRESQL"
-SLOT="$(get_version_component_range 1-2)"
-IUSE=""
-
-DEPEND=""
-RDEPEND=""
-RESTRICT="test"
-
-S="${WORKDIR}/postgresql-${PV}"
-
-src_compile() {
-	:
-}
-
-src_install() {
-	dodir /usr/share/doc/${PF}/html
-	tar -zxf "${S}/doc/postgres.tar.gz" -C "${D}/usr/share/doc/${PF}/html"
-	cd "${S}/doc"
-	dodoc TODO
-	docinto FAQ_html
-	dodoc src/FAQ/*
-
-	dodir /etc/eselect/postgresql/slots/${SLOT}
-	{
-		echo "postgres_ebuilds=\"\${postgres_ebuilds} ${PF}\""
-	} >"${D}/etc/eselect/postgresql/slots/${SLOT}/docs"
-}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-docs/postgresql-docs-8.4.1.ebuild	Wed Sep 09 17:22:48 2009 +0200
@@ -0,0 +1,41 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-docs/postgresql-docs-8.3.7.ebuild,v 1.4 2009/06/05 22:49:22 beandog Exp $
+
+inherit versionator
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+
+# Nothing to test here per 232157
+RESTRICT="test"
+
+DESCRIPTION="PostgreSQL documentation"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+RESTRICT="test"
+
+S="${WORKDIR}/postgresql-${PV}"
+
+src_compile() {
+	:
+}
+
+src_install() {
+	dodir /usr/share/doc/${PF}/html
+	tar -zxf "${S}/doc/postgres.tar.gz" -C "${D}/usr/share/doc/${PF}/html"
+	cd "${S}/doc"
+	dodoc TODO
+	docinto FAQ_html
+	dodoc src/FAQ/*
+
+	dodir /etc/eselect/postgresql/slots/${SLOT}
+	{
+		echo "postgres_ebuilds=\"\${postgres_ebuilds} ${PF}\""
+	} >"${D}/etc/eselect/postgresql/slots/${SLOT}/docs"
+}
--- a/dev-db/postgresql-server/Manifest	Wed Sep 09 17:22:32 2009 +0200
+++ b/dev-db/postgresql-server/Manifest	Wed Sep 09 17:22:48 2009 +0200
@@ -2,5 +2,5 @@
 AUX postgresql-8.4-server.patch 7991 RMD160 a4358bd536e6f22a6ac4d395f397320b42951340 SHA1 a119d690b7ef349885c7a402a0bb2c72ffd7c2c9 SHA256 5b848fd214bf6cfa77946d4f73c5a03b1da684b626a538eaf8eeeb8d5e33a89d
 AUX postgresql.conf-8.4 1725 RMD160 31336d319b654ccaada3eae51ce09f2cafb37fc5 SHA1 c05de3c88e44ec9f71774c2c129f31013ca723d7 SHA256 0e1e9ffaf563f6d9f653575ec5938329644fc68aeb414d926d3b465872b40162
 AUX postgresql.init-8.4 3036 RMD160 dac1f3a59b80c05f0f80057d758a70a1dc6f4232 SHA1 6779f74194185005c0249b2079e3aca698748091 SHA256 2c47b023a6d1a17a3be9bfc6cb4c0453c91aac26d55becb563813280efc5a148
-DIST postgresql-8.4.0.tar.bz2 13839282 RMD160 7b0a3b6d6c6c67479a1de2d8a3efb3a27e50fe2e SHA1 7a4776155049b8343f3b3b2e071002bb9db47f44 SHA256 84bf53b4a45db4fdf875bb03bf247f29dcb97f8bda42839b00b73671df05e007
-EBUILD postgresql-server-8.4.0.ebuild 9662 RMD160 11262aaf1d4dc4bc7084afcab606c3fd44ae7cc7 SHA1 f1853ea002bd4b1880c27536129c2e64d3e8ff79 SHA256 19b23fd9086d4965861cc408b78e982889cf9750a03a60a6ae356f1e9e29c11a
+DIST postgresql-8.4.1.tar.bz2 13579302 RMD160 ad03c250afd71091294a2a3e67d96b661883db87 SHA1 e6903f0029402ef8fb12645a177204499ea5b2b7 SHA256 85f5a5053aea196a2c997785cb5f61368aa46407527de820006d04b594fd9d7c
+EBUILD postgresql-server-8.4.1.ebuild 9662 RMD160 11262aaf1d4dc4bc7084afcab606c3fd44ae7cc7 SHA1 f1853ea002bd4b1880c27536129c2e64d3e8ff79 SHA256 19b23fd9086d4965861cc408b78e982889cf9750a03a60a6ae356f1e9e29c11a
--- a/dev-db/postgresql-server/postgresql-server-8.4.0.ebuild	Wed Sep 09 17:22:32 2009 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,249 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/postgresql-server-8.3.7.ebuild,v 1.1 2009/04/09 22:36:34 caleb Exp $
-
-EAPI="1"
-
-WANT_AUTOCONF="latest"
-WANT_AUTOMAKE="none"
-inherit eutils multilib toolchain-funcs versionator autotools
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
-
-DESCRIPTION="PostgreSQL server"
-HOMEPAGE="http://www.postgresql.org/"
-SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
-LICENSE="POSTGRESQL"
-SLOT="$(get_version_component_range 1-2)"
-IUSE_LINGUAS="
-	linguas_af linguas_cs linguas_de linguas_es linguas_fa linguas_fr
-	linguas_hr linguas_hu linguas_it linguas_ko linguas_nb linguas_pl
-	linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv
-	linguas_tr linguas_zh_CN linguas_zh_TW"
-IUSE="doc perl python selinux tcl uuid xml nls kernel_linux ${IUSE_LINGUAS}"
-
-wanted_languages() {
-	for u in ${IUSE_LINGUAS} ; do
-		use $u && echo -n "${u#linguas_} "
-	done
-}
-
-RDEPEND="~dev-db/postgresql-base-${PV}:${SLOT}
-	perl? ( >=dev-lang/perl-5.6.1-r2 )
-	python? ( >=dev-lang/python-2.2 dev-python/egenix-mx-base )
-	selinux? ( sec-policy/selinux-postgresql )
-	tcl? ( >=dev-lang/tcl-8 )
-	uuid? ( dev-libs/ossp-uuid )
-	xml? ( dev-libs/libxml2 dev-libs/libxslt )"
-DEPEND="${RDEPEND}
-	sys-devel/flex
-	xml? ( dev-util/pkgconfig )"
-PDEPEND="doc? ( dev-db/postgresql-docs:${SLOT} )"
-
-S="${WORKDIR}/postgresql-${PV}"
-
-pkg_setup() {
-	enewgroup postgres 70
-	enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
-}
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-
-	epatch "${FILESDIR}/postgresql-${SLOT}-common.patch" \
-		"${FILESDIR}/postgresql-${SLOT}-server.patch"
-
-	if hasq test ${FEATURES}; then
-		sed -e "s|/no/such/location|${S}/src/test/regress/tmp_check/no/such/location|g" -i src/test/regress/{input,output}/tablespace.source
-	else
-		echo "all install:" > "${S}/src/test/regress/GNUmakefile"
-	fi
-
-	eautoconf
-}
-
-src_compile() {
-	# TODO: test if PPC really cannot work with other CFLAGS settings
-	# use ppc && CFLAGS="-pipe -fsigned-char"
-
-	# eval is needed to get along with pg_config quotation of space-rich entities.
-	eval econf "$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --configure)" \
-		--disable-thread-safety \
-		$(use_with perl) \
-		$(use_with python) \
-		$(use_with tcl) \
-		$(use_with xml libxml) \
-		$(use_with xml libxslt) \
-		$(use_with uuid ossp-uuid) \
-		--with-system-tzdata="/usr/share/zoneinfo" \
-		--with-includes="/usr/include/postgresql-${SLOT}/" \
-		"$(built_with_use ~dev-db/postgresql-base-${PV} nls && use_enable nls nls "$(wanted_languages)")" \
-		|| die "configure failed"
-
-	for bd in . contrib $(use xml && echo contrib/xml2); do
-		PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
-			emake -C $bd -j1 LD="$(tc-getLD) $(get_abi_LDFLAGS)" \
-				PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
-				PGXS_IN_SERVER=1 PGXS_WITH_SERVER="${S}/src/backend/postgres" \
-				NO_PGXS=0 USE_PGXS=1 docdir=/usr/share/doc/${PF} || die "emake in $bd failed"
-	done
-}
-
-src_install() {
-	if use perl ; then
-		mv -f "${S}/src/pl/plperl/GNUmakefile" "${S}/src/pl/plperl/GNUmakefile_orig"
-		sed -e "s:\$(DESTDIR)\$(plperl_installdir):\$(plperl_installdir):" \
-			"${S}/src/pl/plperl/GNUmakefile_orig" > "${S}/src/pl/plperl/GNUmakefile"
-	fi
-
-	for bd in . contrib $(use xml && echo contrib/xml2) ; do
-		PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
-			emake install -C $bd -j1 DESTDIR="${D}" \
-				PGXS_IN_SERVER=1 PGXS_WITH_SERVER="${S}/src/backend/postgres" \
-				PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
-				NO_PGXS=0 USE_PGXS=1 docdir=/usr/share/doc/${PF} || die "emake install in $bd failed"
-	done
-
-	rm -rf "${D}/usr/share/postgresql-${SLOT}/man/man7/" "${D}/usr/share/doc/${PF}/html"
-	rm "${D}"/usr/share/postgresql-${SLOT}/man/man1/{clusterdb,create{db,lang,user},drop{db,lang,user},ecpg,pg_{config,dump,dumpall,restore},psql,reindexdb,vacuumdb}.1
-
-	dodoc README HISTORY doc/{README.*,TODO,bug.template}
-
-	dodir /etc/eselect/postgresql/slots/${SLOT}
-	cat >"${D}/etc/eselect/postgresql/slots/${SLOT}/service" <<-__EOF__
-		postgres_ebuilds="\${postgres_ebuilds} ${PF}"
-		postgres_service="postgresql-${SLOT}"
-	__EOF__
-
-	newinitd "${FILESDIR}/postgresql.init-${SLOT}" postgresql-${SLOT} || die "Inserting init.d-file failed"
-	newconfd "${FILESDIR}/postgresql.conf-${SLOT}" postgresql-${SLOT} || die "Inserting conf.d-file failed"
-
-	keepdir /var/run/postgresql
-	fperms 0770 /var/run/postgresql
-	fowners postgres:postgres /var/run/postgresql
-}
-
-pkg_postinst() {
-	eselect postgresql update
-	[[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
-	[[ "$(eselect postgresql show-service)" = "(none)" ]] && eselect postgresql set-service ${SLOT}
-
-	ewarn "Please note that the standard location of the socket has changed from /tmp"
-	ewarn "to /var/run/postgresql and you have to be in the 'postgres' group to access"
-	ewarn "the socket."
-	ewarn "This can break applications which have the standard location hard-coded."
-	ewarn "If such an application links against the libpq, please re-emerge it,"
-	ewarn "if that doesn't help or the application accesses the socket without using libpq,"
-	ewarn "please file a bug-report."
-	ewarn "You can set PGOPTS='-k /tmp' in /etc/conf.d/postgresql-${SLOT} to restore the original location."
-
-	elog "Execute the following command to setup the initial database environment:"
-	elog
-	elog "emerge --config =${CATEGORY}/${PF}"
-	elog
-	elog "The autovacuum function, which was in contrib, has been moved to the main"
-	elog "PostgreSQL functions starting with 8.1."
-	elog "You can enable it in the clusters postgresql.conf."
-}
-
-pkg_postrm() {
-	eselect postgresql update
-}
-
-pkg_config() {
-	[[ -z "${PGDATA}" ]] && PGDATA="/var/lib/postgresql/${SLOT}/data"
-
-	einfo "You can pass options to initdb by setting the PG_INITDB_OPTS variable."
-	einfo "More information can be found here:"
-	einfo "    http://www.postgresql.org/docs/${SLOT}/static/creating-cluster.html"
-	einfo "    http://www.postgresql.org/docs/${SLOT}/static/app-initdb.html"
-	einfo "Simply add the options you would have added to initdb to the PG_INITDB_OPTS variable."
-	einfo
-	einfo "You can change the directory where the database cluster is being created by setting"
-	einfo "the PGDATA variable."
-	einfo
-	einfo "PG_INITDB_OPTS is currently set to:"
-	einfo "    \"${PG_INITDB_OPTS}\""
-	einfo "and the database cluster will be created in:"
-	einfo "    \"${PGDATA}\""
-	einfo "Are you ready to continue? (Y/n)"
-	read answer
-	[ -z $answer ] && answer=Y
-	[ "$answer" == "Y" ] || [ "$answer" == "y" ] || die "aborted"
-
-	if [[ -f "${PGDATA}/PG_VERSION" ]] ; then
-		eerror "The given directory \"${PGDATA}\" already contains a database cluster."
-		die "cluster already exists"
-	fi
-
-	[ -z "${PG_MAX_CONNECTIONS}" ] && PG_MAX_CONNECTIONS="128"
-	einfo "Checking system parameters..."
-
-	if ! use kernel_linux ; then
-		SKIP_SYSTEM_TESTS=yes
-		einfo "  Tests not supported on this OS (yet)"
-	fi
-
-	if [ -z ${SKIP_SYSTEM_TESTS} ] ; then
-		einfo "Checking whether your system supports at least ${PG_MAX_CONNECTIONS} connections..."
-
-		local SEMMSL=$(sysctl -n kernel.sem | cut -f1)
-		local SEMMNS=$(sysctl -n kernel.sem | cut -f2)
-		local SEMMNI=$(sysctl -n kernel.sem | cut -f4)
-		local SHMMAX=$(sysctl -n kernel.shmmax)
-
-		local SEMMSL_MIN=17
-		local SEMMNS_MIN=$(( ( ${PG_MAX_CONNECTIONS}/16 ) * 17 ))
-		local SEMMNI_MIN=$(( ( ${PG_MAX_CONNECTIONS}+15 ) / 16 ))
-		local SHMMAX_MIN=$(( 500000 + ( 30600 * ${PG_MAX_CONNECTIONS} ) ))
-
-		for p in SEMMSL SEMMNS SEMMNI SHMMAX ; do
-			if [ $(eval echo \$$p) -lt $(eval echo \$${p}_MIN) ] ; then
-				eerror "The value for ${p} $(eval echo \$$p) is below the recommended value $(eval echo \$${p}_MIN)"
-				eerror "You have now several options:"
-				eerror "  - Change the mentioned system parameter"
-				eerror "  - Lower the number of max.connections by setting PG_MAX_CONNECTIONS to a value lower than ${PG_MAX_CONNECTIONS}"
-				eerror "  - Set SKIP_SYSTEM_TESTS in case you want to ignore this test completely"
-				eerror "More information can be found here:"
-				eerror "  http://www.postgresql.org/docs/${SLOT}/static/kernel-resources.html"
-				die "system test failed"
-			fi
-		done
-		einfo "Passed."
-	else
-		einfo "Skipped."
-	fi
-
-	einfo "Creating the data directory ..."
-	mkdir -p "${PGDATA}"
-	chown -Rf postgres:postgres "${PGDATA}"
-	chmod 0700 "${PGDATA}"
-
-	einfo "Initializing the database ..."
-
-	su postgres -c "/usr/$(get_libdir)/postgresql-${SLOT}/bin/initdb --pgdata \"${PGDATA}\" ${PG_INITDB_OPTS}"
-
-	einfo
-	einfo "You can use the '${ROOT}/etc/init.d/postgresql-${SLOT}' script to run PostgreSQL instead of 'pg_ctl'."
-	einfo
-
-	if [ "${PGDATA}" != "/var/lib/postgresql/${SLOT}/data" ] ; then
-		ewarn "You didn't install the database cluster in the standard location, please make sure that you set"
-		ewarn "PGDATA=\"${PGDATA}\" in the appropriate conf.d file (probably /etc/conf.d/postgresql-${SLOT})"
-	fi
-}
-
-src_test() {
-	einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
-	PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
-		emake -j1 check \
-			PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
-			NO_PGXS=0 USE_PGXS=1 SLOT=${SLOT} || die "Make check failed. See above for details."
-
-	einfo "Yes, there are other tests which could be run."
-	einfo "... and no, we don't plan to add/support them."
-	einfo "For now, the main regressions tests will suffice."
-	einfo "If you think other tests are necessary, please submit a"
-	einfo "bug including a patch for this ebuild to enable them."
-}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dev-db/postgresql-server/postgresql-server-8.4.1.ebuild	Wed Sep 09 17:22:48 2009 +0200
@@ -0,0 +1,249 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/postgresql-server/postgresql-server-8.3.7.ebuild,v 1.1 2009/04/09 22:36:34 caleb Exp $
+
+EAPI="1"
+
+WANT_AUTOCONF="latest"
+WANT_AUTOMAKE="none"
+inherit eutils multilib toolchain-funcs versionator autotools
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+
+DESCRIPTION="PostgreSQL server"
+HOMEPAGE="http://www.postgresql.org/"
+SRC_URI="mirror://postgresql/source/v${PV}/postgresql-${PV}.tar.bz2"
+LICENSE="POSTGRESQL"
+SLOT="$(get_version_component_range 1-2)"
+IUSE_LINGUAS="
+	linguas_af linguas_cs linguas_de linguas_es linguas_fa linguas_fr
+	linguas_hr linguas_hu linguas_it linguas_ko linguas_nb linguas_pl
+	linguas_pt_BR linguas_ro linguas_ru linguas_sk linguas_sl linguas_sv
+	linguas_tr linguas_zh_CN linguas_zh_TW"
+IUSE="doc perl python selinux tcl uuid xml nls kernel_linux ${IUSE_LINGUAS}"
+
+wanted_languages() {
+	for u in ${IUSE_LINGUAS} ; do
+		use $u && echo -n "${u#linguas_} "
+	done
+}
+
+RDEPEND="~dev-db/postgresql-base-${PV}:${SLOT}
+	perl? ( >=dev-lang/perl-5.6.1-r2 )
+	python? ( >=dev-lang/python-2.2 dev-python/egenix-mx-base )
+	selinux? ( sec-policy/selinux-postgresql )
+	tcl? ( >=dev-lang/tcl-8 )
+	uuid? ( dev-libs/ossp-uuid )
+	xml? ( dev-libs/libxml2 dev-libs/libxslt )"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	xml? ( dev-util/pkgconfig )"
+PDEPEND="doc? ( dev-db/postgresql-docs:${SLOT} )"
+
+S="${WORKDIR}/postgresql-${PV}"
+
+pkg_setup() {
+	enewgroup postgres 70
+	enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
+}
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	epatch "${FILESDIR}/postgresql-${SLOT}-common.patch" \
+		"${FILESDIR}/postgresql-${SLOT}-server.patch"
+
+	if hasq test ${FEATURES}; then
+		sed -e "s|/no/such/location|${S}/src/test/regress/tmp_check/no/such/location|g" -i src/test/regress/{input,output}/tablespace.source
+	else
+		echo "all install:" > "${S}/src/test/regress/GNUmakefile"
+	fi
+
+	eautoconf
+}
+
+src_compile() {
+	# TODO: test if PPC really cannot work with other CFLAGS settings
+	# use ppc && CFLAGS="-pipe -fsigned-char"
+
+	# eval is needed to get along with pg_config quotation of space-rich entities.
+	eval econf "$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --configure)" \
+		--disable-thread-safety \
+		$(use_with perl) \
+		$(use_with python) \
+		$(use_with tcl) \
+		$(use_with xml libxml) \
+		$(use_with xml libxslt) \
+		$(use_with uuid ossp-uuid) \
+		--with-system-tzdata="/usr/share/zoneinfo" \
+		--with-includes="/usr/include/postgresql-${SLOT}/" \
+		"$(built_with_use ~dev-db/postgresql-base-${PV} nls && use_enable nls nls "$(wanted_languages)")" \
+		|| die "configure failed"
+
+	for bd in . contrib $(use xml && echo contrib/xml2); do
+		PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+			emake -C $bd -j1 LD="$(tc-getLD) $(get_abi_LDFLAGS)" \
+				PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
+				PGXS_IN_SERVER=1 PGXS_WITH_SERVER="${S}/src/backend/postgres" \
+				NO_PGXS=0 USE_PGXS=1 docdir=/usr/share/doc/${PF} || die "emake in $bd failed"
+	done
+}
+
+src_install() {
+	if use perl ; then
+		mv -f "${S}/src/pl/plperl/GNUmakefile" "${S}/src/pl/plperl/GNUmakefile_orig"
+		sed -e "s:\$(DESTDIR)\$(plperl_installdir):\$(plperl_installdir):" \
+			"${S}/src/pl/plperl/GNUmakefile_orig" > "${S}/src/pl/plperl/GNUmakefile"
+	fi
+
+	for bd in . contrib $(use xml && echo contrib/xml2) ; do
+		PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+			emake install -C $bd -j1 DESTDIR="${D}" \
+				PGXS_IN_SERVER=1 PGXS_WITH_SERVER="${S}/src/backend/postgres" \
+				PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
+				NO_PGXS=0 USE_PGXS=1 docdir=/usr/share/doc/${PF} || die "emake install in $bd failed"
+	done
+
+	rm -rf "${D}/usr/share/postgresql-${SLOT}/man/man7/" "${D}/usr/share/doc/${PF}/html"
+	rm "${D}"/usr/share/postgresql-${SLOT}/man/man1/{clusterdb,create{db,lang,user},drop{db,lang,user},ecpg,pg_{config,dump,dumpall,restore},psql,reindexdb,vacuumdb}.1
+
+	dodoc README HISTORY doc/{README.*,TODO,bug.template}
+
+	dodir /etc/eselect/postgresql/slots/${SLOT}
+	cat >"${D}/etc/eselect/postgresql/slots/${SLOT}/service" <<-__EOF__
+		postgres_ebuilds="\${postgres_ebuilds} ${PF}"
+		postgres_service="postgresql-${SLOT}"
+	__EOF__
+
+	newinitd "${FILESDIR}/postgresql.init-${SLOT}" postgresql-${SLOT} || die "Inserting init.d-file failed"
+	newconfd "${FILESDIR}/postgresql.conf-${SLOT}" postgresql-${SLOT} || die "Inserting conf.d-file failed"
+
+	keepdir /var/run/postgresql
+	fperms 0770 /var/run/postgresql
+	fowners postgres:postgres /var/run/postgresql
+}
+
+pkg_postinst() {
+	eselect postgresql update
+	[[ "$(eselect postgresql show)" = "(none)" ]] && eselect postgresql set ${SLOT}
+	[[ "$(eselect postgresql show-service)" = "(none)" ]] && eselect postgresql set-service ${SLOT}
+
+	ewarn "Please note that the standard location of the socket has changed from /tmp"
+	ewarn "to /var/run/postgresql and you have to be in the 'postgres' group to access"
+	ewarn "the socket."
+	ewarn "This can break applications which have the standard location hard-coded."
+	ewarn "If such an application links against the libpq, please re-emerge it,"
+	ewarn "if that doesn't help or the application accesses the socket without using libpq,"
+	ewarn "please file a bug-report."
+	ewarn "You can set PGOPTS='-k /tmp' in /etc/conf.d/postgresql-${SLOT} to restore the original location."
+
+	elog "Execute the following command to setup the initial database environment:"
+	elog
+	elog "emerge --config =${CATEGORY}/${PF}"
+	elog
+	elog "The autovacuum function, which was in contrib, has been moved to the main"
+	elog "PostgreSQL functions starting with 8.1."
+	elog "You can enable it in the clusters postgresql.conf."
+}
+
+pkg_postrm() {
+	eselect postgresql update
+}
+
+pkg_config() {
+	[[ -z "${PGDATA}" ]] && PGDATA="/var/lib/postgresql/${SLOT}/data"
+
+	einfo "You can pass options to initdb by setting the PG_INITDB_OPTS variable."
+	einfo "More information can be found here:"
+	einfo "    http://www.postgresql.org/docs/${SLOT}/static/creating-cluster.html"
+	einfo "    http://www.postgresql.org/docs/${SLOT}/static/app-initdb.html"
+	einfo "Simply add the options you would have added to initdb to the PG_INITDB_OPTS variable."
+	einfo
+	einfo "You can change the directory where the database cluster is being created by setting"
+	einfo "the PGDATA variable."
+	einfo
+	einfo "PG_INITDB_OPTS is currently set to:"
+	einfo "    \"${PG_INITDB_OPTS}\""
+	einfo "and the database cluster will be created in:"
+	einfo "    \"${PGDATA}\""
+	einfo "Are you ready to continue? (Y/n)"
+	read answer
+	[ -z $answer ] && answer=Y
+	[ "$answer" == "Y" ] || [ "$answer" == "y" ] || die "aborted"
+
+	if [[ -f "${PGDATA}/PG_VERSION" ]] ; then
+		eerror "The given directory \"${PGDATA}\" already contains a database cluster."
+		die "cluster already exists"
+	fi
+
+	[ -z "${PG_MAX_CONNECTIONS}" ] && PG_MAX_CONNECTIONS="128"
+	einfo "Checking system parameters..."
+
+	if ! use kernel_linux ; then
+		SKIP_SYSTEM_TESTS=yes
+		einfo "  Tests not supported on this OS (yet)"
+	fi
+
+	if [ -z ${SKIP_SYSTEM_TESTS} ] ; then
+		einfo "Checking whether your system supports at least ${PG_MAX_CONNECTIONS} connections..."
+
+		local SEMMSL=$(sysctl -n kernel.sem | cut -f1)
+		local SEMMNS=$(sysctl -n kernel.sem | cut -f2)
+		local SEMMNI=$(sysctl -n kernel.sem | cut -f4)
+		local SHMMAX=$(sysctl -n kernel.shmmax)
+
+		local SEMMSL_MIN=17
+		local SEMMNS_MIN=$(( ( ${PG_MAX_CONNECTIONS}/16 ) * 17 ))
+		local SEMMNI_MIN=$(( ( ${PG_MAX_CONNECTIONS}+15 ) / 16 ))
+		local SHMMAX_MIN=$(( 500000 + ( 30600 * ${PG_MAX_CONNECTIONS} ) ))
+
+		for p in SEMMSL SEMMNS SEMMNI SHMMAX ; do
+			if [ $(eval echo \$$p) -lt $(eval echo \$${p}_MIN) ] ; then
+				eerror "The value for ${p} $(eval echo \$$p) is below the recommended value $(eval echo \$${p}_MIN)"
+				eerror "You have now several options:"
+				eerror "  - Change the mentioned system parameter"
+				eerror "  - Lower the number of max.connections by setting PG_MAX_CONNECTIONS to a value lower than ${PG_MAX_CONNECTIONS}"
+				eerror "  - Set SKIP_SYSTEM_TESTS in case you want to ignore this test completely"
+				eerror "More information can be found here:"
+				eerror "  http://www.postgresql.org/docs/${SLOT}/static/kernel-resources.html"
+				die "system test failed"
+			fi
+		done
+		einfo "Passed."
+	else
+		einfo "Skipped."
+	fi
+
+	einfo "Creating the data directory ..."
+	mkdir -p "${PGDATA}"
+	chown -Rf postgres:postgres "${PGDATA}"
+	chmod 0700 "${PGDATA}"
+
+	einfo "Initializing the database ..."
+
+	su postgres -c "/usr/$(get_libdir)/postgresql-${SLOT}/bin/initdb --pgdata \"${PGDATA}\" ${PG_INITDB_OPTS}"
+
+	einfo
+	einfo "You can use the '${ROOT}/etc/init.d/postgresql-${SLOT}' script to run PostgreSQL instead of 'pg_ctl'."
+	einfo
+
+	if [ "${PGDATA}" != "/var/lib/postgresql/${SLOT}/data" ] ; then
+		ewarn "You didn't install the database cluster in the standard location, please make sure that you set"
+		ewarn "PGDATA=\"${PGDATA}\" in the appropriate conf.d file (probably /etc/conf.d/postgresql-${SLOT})"
+	fi
+}
+
+src_test() {
+	einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
+	PATH="/usr/$(get_libdir)/postgresql-${SLOT}/bin:${PATH}" \
+		emake -j1 check \
+			PGXS=$(/usr/$(get_libdir)/postgresql-${SLOT}/bin/pg_config --pgxs) \
+			NO_PGXS=0 USE_PGXS=1 SLOT=${SLOT} || die "Make check failed. See above for details."
+
+	einfo "Yes, there are other tests which could be run."
+	einfo "... and no, we don't plan to add/support them."
+	einfo "For now, the main regressions tests will suffice."
+	einfo "If you think other tests are necessary, please submit a"
+	einfo "bug including a patch for this ebuild to enable them."
+}